3 Replies Latest reply: Apr 29, 2011 12:44 PM by Paul Gier RSS

Hibernate and maven

barmic Newbie

Bonjour,

 

I try to use hibernate and my configuration in pom.xml don't work.

I don't understand why maven fail on download of hibernate :

 

This is my pom.xml : http://nopaste.dk/p3215

 

Can you help me to configure my pom.xml ?

  • 1. Hibernate and maven
    barmic Newbie

    I have search on this page https://repository.jboss.org/nexus/index.html

     

    The 4 dependencies hibernate-core, hibernate-entitymanager, hibernate-validator and hibernate-annotations. I see that this for artifact isn't in same version :

    • hibernate-core (3.3.2.GA)
    • hibernate-entitymanager (3.3.2.GA)
    • hibernate-validator (4.1.0.Final)
    • hibernate-annotations (3.3.0.GA)

     

    In same time the download page speak about an version 3.6 and the next version (CR1) 4.0.

     

    I don't understand why the version isn't synchronyse and how find the latest version of each artifact.

  • 2. Hibernate and maven
    Paul Gier Master

    There seems to be a problem with the search in the JBoss repository.  I will regenerate the indexes to hopefully fix the searching.

  • 3. Hibernate and maven
    Paul Gier Master

    The indexes have been regenerated, and the search seems to be working correctly now.  You should be able to search to find the most recent version.  For example, searching for "hibernate-core" shows version 3.6.3 as the latest stable version.